/*
 * ******************************************************************************
 *  * Copyright © 2016 Ruben Carmona Zurita. All rights reserved. The total or
 *  * partial reproduction of this work it is forbidden by any means or process,
 *  * including printing, reprography, microfilm, computer processing or any
 *  * other system, as well as the distribution of copies by rental and lending,
 *  * without the written permission of the author or the limits authorized by
 *  * the law of intellectual property.
 *  ******************************************************************************
 */

package com.uoc.tfm.analyzerhandler.common;

import com.uoc.tfm.analyzerhandler.entities.UserData;

import java.sql.Connection;
import java.util.regex.Pattern;

/**
 * @author Ruben Carmona
 * @project TFM - Analyzer Handler
 * @date 04/2016
 */
public class AppGlobals {

    public static final Pattern PARTIAl_IP_ADDRESS =
            Pattern.compile("^((25[0-5]|2[0-4][0-9]|[0-1][0-9]{2}|[1-9][0-9]|[0-9])\\.){0,3}((25[0-5]|2[0-4][0-9]|[0-1][0-9]{2}|[1-9][0-9]|[0-9])){0,1}$");

    public static final String COMMON_YES = "Y";
    public static final String COMMON_NO = "N";

    public static final String PUSH_REGISTER_NAME = "analyzerHandlerRegister";

    public static final String VARIANT_ID = "8015354d-722b-4e0c-8b0d-c3b579f73700";
    public static final String SECRET = "71debccb-2bb0-4d27-a0fc-6ca117af6759";
    public static final String GCM_SENDER_ID = "22675410902";
    public static String UNIFIED_PUSH_URL = "http://<server>:8080/ag-push/";
    public static String UNIFIED_PUSH_PUBLIC_URL = "https://<server>:8443/ag-push/";

    public static Connection conn = null;

    public static String SERVER_IP = "";
    public static String DATABASE_NAME = "/analyzer_simulator";

    public static UserData userData = null;
}
