/*******************************************************************************
 * Copyright © 2016 Ruben Carmona Zurita.
 * All rights reserved. The total or partial reproduction of this work it is 
 * forbidden by any means or process, including printing, reprography, 
 * microfilm, computer processing or any other system, as well as the 
 * distribution of copies by rental and lending, without the written 
 * permission of the author or the limits authorized by the law of 
 * intellectual property.
 *******************************************************************************/
package com.tfm_uoc.main;

import java.awt.Font;

import com.tfm_uoc.common.UIUtils;

/**
 * @project TFM - Analyzer Simulator
 * @author Ruben Carmona
 * @filename Main.java
 */
public class Main
{

  public static void main(String[] args)
  {
    UIUtils.setUIFont(new javax.swing.plaf.FontUIResource("Helvetica Neue", Font.TRUETYPE_FONT, 14));

    AnalyzerSimulatorWindow mw = new AnalyzerSimulatorWindow();
    mw.setLocationRelativeTo(null);
    mw.setVisible(true);
  }

}
